.. vim: spell spelllang=fr
.. _changelog:

Historique des versions
=======================

.. note::

   Pour mettre à jour votre installation, la
   :ref:`procédure standard <upgrade>` peut s'appliquer. Si des étapes
   complémentaires doivent s'appliquer, celles-ci seront notées ci-dessous.


* :release:`1.3.1 <2026-06-15>`
* :bug:`559` La synchronisation de référentiel ignorait les partenaires de type
  Gateway et Transfer
* :bug:`545` Les formulaires pour ajouter les partenaires PeSIT sont maintenant
  corrects
* :bug:`544` Les flux à destination ou depuis un partenaire PeSIT ne passaient
  pas par la Gateway auquel ces partenaires sont reliés
* :bug:`528` Les partenaires de type WEBDAV peuvent être configurés correctement.
* :bug:`557` Les flux dont l'origine est un client R66 ou Transfer peuvent
  maintenant avoir un filewatcher
* :bug:`551` Les messages d'erreur des transferts dans l'historique ne sont plus
  limités à 255 caractères
* :bug:`555` Les utilisateurs qui se connectaient via un annuaire LDAP n'avaient
  aucun droit.
* :bug:`553` Le fichier de configuration envoyée à un partenaire Gateway
  contenait le mauvais type d'authentification pour un partenaire client R66
  dont l'authentification se fait par certificat.
* :bug:`552` Quand un utilisateur était créé ou modifié, les droits cumulés des
  groupes de l'utilisateur étaient copiés comme droits directs de l'utilisateur.
* :bug:`554` Les connexions d'utilisateurs via un annuaire LDAP provoquaient une
  erreur silencieuse qui empêchait la connexion.

* :release:`1.3.0 <2026-05-15>`
* :bug:`550` La règle de transfert ne s'affichait pas dans la liste des
  transferts en cours d'un serveur
* :feature:`549` Autorise la configuration d'un filewatcher pour les flux dont
  l'origine est un client R66
* :bug:`548` Des erreurs de validation pouvaient se produire lors de la création
  d'un partenaire externe.
* :feature:`532` La tâche ``UPDATECONF`` supportée par GATEWAY et TRANSFER est
  disponible dans l'éditeur de modèle de flux
* :bug:`547` Correction des requêtes REST vers les partenaires via un proxy HTTP
* :bug:`547` Correction de l'authentification des requêtes REST vers les
  partenaires R66 
* :bug:`534` Correction du modèle de flux ``default``.
* :bug:`535` Le nom des interfaces `R66` et `R66-TLS` peut désormais être modifié
  pour les partenaires de type `waarp-transfer`.
* :bug:`546` Les nouveaux utilisateurs ne pouvaient pas se connecter via un
  annuaire LDAP.
* :bug:`536` Les transferts qui faisaient intervenir un partenaire Gateway ou
  Transfer apparaissaient en double.
* :bug:`543` La date de dernière synchronisation et la limite de profondeur de
  rafraichissement n'était pas prise en compte pour les partenaires de type
  Gateway et Transfer.
* :bug:`542` Correction d'erreurs SQL lors du traitement d'un transfert entre
  deux partenaires R66 pendant le rafraichissement de l'historique
* :bug:`539` L'URL pour récupérer la configuration d'un partenaire renvoie
  maintenant une erreur 401 si l'utilisateur n'est pas authentifié
* :bug:`537` Les environnements sont maintenant chargés dans le formulaire
  d'édition des partenaires
* :bug:`538` Les filtres sur le partenaire d'origine et le partenaire de
  destination dans l'historique des transferts ne fonctionnait pas.

* :release:`1.2.0 <2026-03-10>`
* :bug:`508 major` La vérification d'unicité des noms de règles était trop
  restrictive. À partir de maintenant, le nom d'une règle doit être unique pour
  entre une origine et une destination données.
* :bug:`526 major` Des noms de fichiers vides pouvaient être récupérés depuis l'API de
  Waarp Transfer et Waarp Gateway
* :bug:`525 major` Corrige l'agrégation en flux des transferts en erreur.
* :bug:`520 major` Corrige la résolution des noms de partenaires dans les écrans
  d'historique.
* :feature:`460 major` Ajout d'un champ ``description`` aux paramètres de flux.
  Ce champs est utilisé comme aide pour ledit paramètre lors de l'édition d'un flux.
* :feature:`518 major` Ajout du support des partenaires de type WebDAV.
* :bug:`496 major` Corrige l'authentification par AD.
* :bug:`522 major` Le proxy HTTP d'un site n'était pas utilisé pour les partenaires de
  type Waarp Gateway et Waarp Transfer.
* :bug:`516 major` Un partenaire externe ne peut être associé à une passerelle que si
  celle-ci a une interface du protocole du partenaire.
* :bug:`523 major` Les partenaires FTP peuvent désormais être associé à Waarp Gateway.
* :feature:`517` Correction de la configuration de get-remote. Une seule ligne de
  configuration est envoyée pour chaque règle.
* :bug:`513 major` La validation des utilisateurs vérifie l'existence des groupes
  associés.
* :bug:`427 major` L'option ``-copyinfo`` des taches ``TRANSFER`` est utilisée par défaut
  dans les modèles ``default`` et ``déploiement_config``.
* :bug:`519 major` L'option ``ClientName`` du fichier de configuration n'est plus
  utilisée comme identifiant des appels REST des partenaires de type ``R66``,
  ``GWFTP`` et ``GWSFTP``.

* :release:`1.1.0 <2026-01-15>`
* :bug:`507 major` Lors du déploiement de la configuration, le choix du protocole de
  transfert se fait maintenant en fonction des priorités du client de Manager.
* :bug:`504 major` Corrige le tri des historiques de transferts et de flux.
* :bug:`503 major` Corrige le filtrage des historiques de transferts et de flux.
* :bug:`502 major` Corrige les champs de configuration des interfaces R66/R66-TLS pour 
  les partenaires "legacy".
* :feature:`493` Ajoute l'envoi des configurations de get-remote par manager-send.sh.
* :bug:`499 major` Manager déploie sur les partenaires Gateway des configuration SFTP
  et FTP maximisant la compatibilité sur ces protocoles.
* :bug:`383 major` Empêche la création de route liant le même site.
* :feature:`490` Valide les clés de chiffrage (SFTP, TLS, ...) lors de la validation
  des interfaces de partenaires.
* :feature:`464` Supporte toutes les tâches de Gateway et Transfer
* :feature:`497` Supporte toutes les options des tâches TRANSFER de Gateway et
  Transfer
* :bug:`440 major` Empêche le démarrage de Waarp Manager si la clé DES n'est pas ou
  mal renseignée.
* :bug:`487 major` Corrige le comportement du sélecteur Client/Server pour les
  partenaires externes.
* :bug:`236 major` Corrige la suppression de groupe d'utilisateurs.
* :bug:`443 major` Corrige l'affichage des applications de partenaire dans l'écran de
  listing des flux.
* :bug:`494 major` La clef contenant le certificat dans le JSON de configuration de
  Gateway/Transfer était erronée. Elle s'appelle ``Certificate`` et non
  ``certificate``. Les versions précédentes de Manager ne sont pas compatibles
  avec Gateway 0.13.0 et 0.13.1.

* :release:`1.0.5 <2025-07-31>`
* :bug:`485` Corrige l'envoi de la configuration en TLS?

* :release:`1.0.4 <2025-07-30>`
* :bug:`483` Corrige l'agrégation en flux des transferts provenant de Waarp Transfer
  et Waarp Gateway.
* :bug:`482` Corrige une erreur d'affichage des noms de règles dans les interfaces
  de monitoring.

* :release:`1.0.3 <2025-07-18>`
* :bug:`480` Le déploiement de configuration choisi dynamiquement le protocole
  à utiliser (R66 ou R66-TLS) en fonction des priorités du serveur de réception.
* :bug:`479` Corrige le processus de déploiement de configuration.
* :release:`1.0.2 <2025-07-04>`
* :bug:`475` Corrige les erreurs de duplication de clefs primaires lors de la
  création ou la modification de modèles de flux.
* :bug:`474` Corrige la vérification de l'unicité du nom des sites
* :bug:`473` Corrige la récupération de l'historique des partenaires Gateway et
  Transfer.
* :bug:`471` Le champ port REST des partenaires Waarp Transfer ne pouvait pas
  être défini
* :bug:`472` Corrige les crash de l'application durant le déploiement de la
  configuration

* :release:`1.0.1 <2025-06-13>`
* :bug:`469` Corrige la gestion du client système
* :bug:`685` Complete la configuration des taches TRANSFER pour les partenaires
  Waarp Gateway et Waarp Transfer.
* :bug:`465` Correction du champ rule dans les configurations de filewatcher 

* :release:`1.0.0 <2025-05-23>`
* :feature:`285` Ajout du support de LDAPS
* :feature:`435` Ajout du support des partenaires PeSIT et PeSIT-TLS
* :feature:`441` Ajout du support du protocole FTP pour les partenaires Waarp Gateway,
  qui peuvent désormais être utilisés comme passerelle de rattachement des
  partenaires FTP
* :bug:`450` Corrige la récupération de l'historique des partenaires Gateway et
  Transfer.
* :feature:`-` Les plages de port passif des interfaces FTP n'étaient pas
* :bug:`-` Les plages de port passif des interfaces FTP n'étaient pas
  sauvegardées.
* :feature:`-` Les dossiers de destination et d'origine des flux sont disponibles
  dans les modèles de flux
* :feature:`-` Création des interfaces avec la synchronisation de référentiel.
* :bug:`454` Il n'est plus nécessaire de migrer à la version 0.17.3 pour passer
  d'une version antérieure à la version 0.18.3.
* :bug:`453` La compatibilité avec PostgreSQL 9.4 est restorée
* :bug:`451` Les noms d'utilisateurs et mots de passe REST pour les serveurs
  Transfer ne pouvaient pas être édités.
* :bug:`454` Les packages pour architecture 64bits contenaient le binaire pour
  architecture 32bit, et inversement.
* :bug:`447` Les logins des partenaires dans la configuration des filewatchers
  pouvait être erronés.

* :release:`0.18.2 <2024-03-07>`
* :bug:`445` Correction d'une possibilité de Cross-Site Sripting dans l'écran de
  déploiement de la configuration
* :bug:`446` Les partenaires SFTP ne pouvaient pas être mis en externe.
* :bug:`355` Ajout d'un dossier de travail quand le service est démarré avec
  systemd

* :release:`0.18.1 <2024-02-14>`
* :bug:`429` Rétablit la compatibilité avec la Waarp Transfer version 0.1.x qui
  avait été rompue par la version 0.18.0.
* :bug:`428` Complète et corrige les migrations de la version 0.18.0.

* :release:`0.18.0 <2024-02-07>`
* :feature:`384` Les écrans de définition et de visualisation des
  partenaires affichent maintenant les interfaces réseaux introduites dans la
  version 0.16 pour tous les types de partenaires, ce qui harmonise les écrans
  avec les partenaires Waarp Gateway et Waarp Transfer.
* :bug:`403` La consommation de mémoire du processus de rafraichissement de
  l'historique de flux a été drastiquement diminuée. Cela provoquait des erreurs
  de dépassement de mémoire en cas de gros volumes à traiter.
* :bug:`409` Les partenaires ne peuvent plus être supprimés si ils sont
  utilisés comme passerelle pour un autre partenaire.
* :bug:`403` Les fichiers de configuration de Waarp Gateway et Waarp Transfer
  utilisent les champs ``localPath`` et ``remotePath`` si possible. Corrige
  l'attribution des chemins d'envoi et de réception pour éviter le dédoublement
  d'arborescence.
* :bug:`401` Modification du logo
* :bug:`394` La version minimale de TLS à utiliser n'était pas configurable.
  Cela peut maintenant être fait dans le fichier de configuration. Par défaut,
  TLS 1.2 minimum est utilisé.
* :bug:`381` Les chemins de règle de Gateway ne sont modifiés que pour 
  les règles impliquant un partenaire SFTP client.
* :bug:`304` La taille des fichiers récupérés depuis un Waarp R66 est maintenant
  correcte.
* :bug:`365` Le certificat des clients Waarp R66 n'était pas envoyé à la
  configuration des partenaires Gateway
* :feature:`343` Les serveurs locaux ont été renommés "interface"
* :bug:`369` Les partenaires de type HTTP/HTTPS étaient toujours considérés
  comme des clients
* :bug:`366` Le client Waarp R66 associé à Waarp Manager était mal configuré
  dans l'authentification envoyée aux agents Waarp R66.
* :feature:`364` Les données d'authentification des partenaires sont maintenant
  gérées dans leurs interfaces.
* :feature:`309` Les types de partenaires HTTP et HTTPS ont été fusionnés. La
  distinction entre les protocoles HTTP et HTTPS se fait dans les interfaces du
  partenaire.
* :feature:`326` Tous les modèles sont désormais supprimables hormis les deux
  modèles système `default` et `déploiement_config`.
* :bug:`350` Déployer la configuration sur plusieurs serveurs s'arrêtait à
  la première erreur ce qui bloquait le déploiement sur les autres partenaires.
* :bug:`352` L'adresse des partenaires Waarp Gateway et Waarp Transfer ne
  pouvaient plus être modifiée après l'ajout.
* :bug:`353` Il était impossible d'ajouter un Waarp Transfer en tant que client
  seulement
* :bug:`354` Les erreurs lors de la création d'un partenaire Waarp Gateway
  et Waarp Transfer sont plus explicites.
* :bug:`356` Le point d'entrée REST pour télécharger la configuration d'un
  partenaire écrivait le fichier à la racine du Waarp Manager. Il l'écrit
  maintenant dans ``/tmp`` avant de le supprimer.
* :bug:`361` Les mots de passes des partenaires et interfaces étaient re-chiffrés
  même s'il n'étaient pas modifiés
* :feature:`331` Les serveurs locaux sont désormais initialisés avec des valeurs
  par défaut éditables

* :release:`0.17.3 <2023-03-15>`
* :bug:`381` Les chemins de règle de la gateway ne sont modifiés que pour 
  les règles impliquant un partenaire SFTP client.
* :bug:`394` La version minimale de TLS à utiliser n'était pas configurable.
  Cela peut maintenant être fait dans le fichier de configuration. Par défaut,
  TLS 1.2 minimum est utilisé.
* :bug:`304` La taille des fichiers récupérés depuis un Waarp R66 est maintenant
  correcte.
* :bug:`352` L'addresse des partenaires Waarp Gateway et Waarp Transfer ne
  pouvaient plus être modifiée après l'ajout.
* :bug:`361` Les mots de passes des partenaires et interfaces étaient re-chiffrés
  même s'il n'étaient pas modifiés
* :bug:`365` Le certificat des clients Waarp R66 n'était pas envoyé à la
  configuration des partenaires Gateway
* :bug:`353` Il était impossible d'ajouter un Waarp Transfer en tant que client
  seulement
* :bug:`354` Les erreurs lors de la création d'un partenaire Waarp Gateway
  et Waarp Transfer sont plus explicites.
* :bug:`356` Le point d'entrée REST pour télécharger la configuration d'un
  partenaire écrivait le fichier à la racine du Waarp Manager. Il l'écrit
  maintenant dans /tmp avant de le supprimer.
* :bug:`369` Les partenaires de type HTTP/HTTPS étaient toujours considérés
  comme des clients

* :release:`0.17.2 <2022-11-09>`
* :bug:`350` Déployer la configuration sur plusieurs serveurs s'arretait à
  la première erreur ce qui bloquait le déploiement sur les autres partenaires.
* :bug:`366` Le client Waarp R66 associé à Waarp Manager était mal configuré
  dans l'authentification envoyée aux agents Waarp R66.

* :release:`0.17.1 <2022-07-20>`
* :bug:`-` Les noms d'utilisateurs n'étaient pas définis pour les interfaces
  dont le protocole était r66 et r66-tls quand celles-ci étaient crées
  directement.
* :bug:`351` Le gestionnaire REST pour télécharger la configuration d'un
  partenaire répondait avec succès quand la génération du package échouait. 
* :bug:`351` Les erreurs lors de la génération des packages de configuration
  n'étaient pas compréhensibles quand une interface n'était pas trouvée.
* :bug:`-` correction du modèle de flux pour les déploiements de configuration
  en cas de rebond sur les partenaires Waarp Transfer

* :release:`0.17.0 <2022-07-13>`
* :feature:`345` Support en preview de Waarp Transfer
* :bug:`202` La liste des serveurs dans l'écran "Transferts en cours" incluait
  les serveurs non gérés par Waarp Manager.

* :release:`0.16.2 <2022-07-06>`
* :bug:`344` Correction des paramètres de définition des partenaires HTTPS
* :bug:`342` Les accès SFTP définis dans Gateway pouvaient avoir la mauvaise
  clef SSH
* :bug:`338` Les flux désactivés sont ignorés lors du déploiement de la
  configuration
* :bug:`341` Les Gateways n'étaient pas ajoutées à l'authentification des
  agents R66 si elle n'avait pas l'une des interfaces R66 ou R66 TLS
* :bug:`339` Les règles générées pour les transferts avec les Gateways
  n'avaient pas toutes les tâches si la Gateway n'avait pas d'interface R66 
* :bug:`340` Les agents distants R66 étaient mal configurés pour une Waarp
  Gateway
* :bug:`336` Le déroulé textuel du déploiement de la configuration ne
  s'affichait plus
* :bug:`337` Les mots de passe des partenaire Gateway n'étaient pas chiffrés
  dans les configurations déployées vers les partenaires R66
* :bug:`335` Bug où le menu déroulant dans la sélection d'une passerelle d'un
  site, affichait le serveur mais n'envoyait pas la requête avec le serveur
  choisi.

* :release:`0.16.1 <2022-04-26>`
* :bug:`272` Les partenaires de type Gateway ne pouvaient pas être utilisés
  comme passerelle de site (interne pu externe)
* :bug:`322` Dans certains cas, les partenaires de type Gateway ne pouvaient pas
  être enregistrés.
* :bug:`287` Les mots de passe des partenaires SFTP étaient affichés en clair
* :bug:`271` Le mot de passe des partenaires R66 peut être modifié manuellement.
* :bug:`327` Des transactions dans la base de données n'étaient pas fermées, ce
  qui créait des situations d'interblocage.
* :bug:`325` L'ajout d'interfaces pour les partenaires existant ne respectait
  pas les conventions précédemment utilisées.

* :release:`0.16.0 <2022-03-24>`
* :bug:`-` un message d'erreur et affiché quand un partenaire ne peut pas être
  supprimé
* :feature:`286` Ajout du support des partenaires et serveurs locaux HTTP(S)
* :feature:`283` Amélioration du support des partenaires Waarp Gateway
* :bug:`306` Ajout de la tâche ICAP dans les modèles de flux. La liste des types de tâche
  dans les flux est présenté par ordre alphabétique.
* :bug:`221` Ajout de la tâche ICAP dans les modèles de flux.
* :bug:`273` Les clients http n'étaient pas correctement fermés, ce qui
  aboutissait à un épuisement des descripteurs de fichiers autorisés
* :feature:`259` Manager valide l'unicité du dossier de destination pour les
  fichiers envoyés à une Gateway (Gateway effectue déjà la vérification)
* :bug:`249` Corrige le nom de l'exécutable ``updateconf`` dans le modèle
  ``déploiement_conf``

* :release:`0.15.4 <2021-10-21>`
* :bug:`293` Corrige un bug où certains transferts n'était pas récupérés depuis
  Waarp Gateway
* :bug:`290` Corrige un bug au niveau des dates de début et de fin d'un transfert
* :bug:`291` Supporte le chiffrement ``scram-sha-256`` avec PostgreSQL 10+

* :release:`0.15.3 <2021-04-07>`
* :bug:`267` Ajoute la customisation des rule.Path pour les partenaires de type
  Gateway
* :bug:`266` Corrige le déploiement des filewatchers r66 qui se connectent à des
  waarp-gateways
* :bug:`268` Ajoute la restriction des accès aux règles déployés sur les
  partenaires de type Gateway
* :bug:`242` Supprime les ports inutiles demandés pour les partenaires de type
  Gateway

* :release:`0.15.2 <2021-03-03>`
* :bug:`256` Le site est obligatoire pour tous les types de partenaires.
* :bug:`257` Efface les destinations quand la création d'un flux est annulée
* :bug:`251` Corrige la gestion des clef publiques dans le formulaire d'édition
  de partenaires SFTP
* :bug:`254` Corrige les migrations de base de données pour qu'elles
  fonctionnent avec PostgreSQL 9.4 et 9.5

* :release:`0.15.1 <2021-02-16>`
* :bug:`253` Corrige l'erreur SQL lors de l'agrégation des flux
* :bug:`255` Corrige l'impossibilité d'ajouter un nouveau flux

* :release:`0.15.0 <2021-02-12>`
* :feature:`157` Les dossiers d'origine et de destination des flux peuvent être
  définis

* :release:`0.14.1 <2021-01-21>`
* :bug:`244` Les clefs AES saisies dans l'interface étaient refusées si elles
  contenaient un octet dont la valeur est inférieure à 127 (non-ASCII)
* :bug:`239` Des mises à jour inutiles dans la base de données lors du
  rafraichissement des historiques ont été supprimées

* :release:`0.14.0 <2020-12-08>`
* :feature:`227` Ajout de la suppression des partenaires
* :feature:`25` Ajout de la suppression des sites
* :feature:`128` Ajout de la suppression des flux
* :bug:`228` Les titres des onglets de la page de vue des flux ne changent pas
  quand la langue de l'utilisateur change
* :feature:`182` Support de Waarp Gateway
* :feature:`184` Lors du déploiement de la configuration, la variable
  d'environneent `MANAGER_CONF` est exportée à destination du client R66 appellé
  pour transférer la configuration.
* :bug:`222` Les clefs privées et publiques des Gateway SFTP ne sont plus
  obligatoires lors de l'édition
* :feature:`216` Le serveur ne démarre plus si la base de données n'est pas à
  jour. Incidemment, le server ne démarre plus si la base de données n'est pas
  accessible (ce qui posait des problèmes, et nécessitait un redémarrage après
  le rétablissement de la base de données).
* :feature:`212` Ajoute des sous-commandes ``db migrate up`` et ``db migrate
  down`` pour mettre à jour la base de données et faire des retour arrières.

* :release:`0.13.2 <2020-06-03>`
* :support:`207` Ajout de packages pour RHEL 8 (et dérivés)
* :bug:`161` Le site est marqué comme obligatoire dans les formulaires quand
  celui-ci doit être fourni
* :bug:`175` Les serveurs SFTP étaient inclus dans l'écran de statut des
  serveurs
* :bug:`200` Corrections des traductions
* :bug:`201` Restaure la prise en charge des Gateway FTP dans le déploiement de
  la configuration

* :release:`0.13.1 <2019-05-15>`
* :bug:`169` *Sécurité* : Correction d'une possibilité d'outrepasser
  l'authentification par injection d cookie
* :bug:`173` Ajout du paramètre de filewatcher manquant ``limitParallel``
* :bug:`170` Le nom de modèles de flux importés pouvait être incorrect
* :bug:`172` Un transfert réussi est automatiquement créé dans l'historique pour
  les transferts SFTP vers un serveur fait en tâche post-transfert (auparavent,
  le flux n'apparaissait jamais comme terminé et le succès devait se déduire du
  succés de l'avant dernier transfert)
* :bug:`171` Les flux encours dont un des transfert est terminé sont affichés
  dans l'historique des flux.

* :release:`0.13.0 <2019-04-11>`
* :bug:`163` La relance de transferts à destination de passerelles SFTP ne
  fonctionnait pas
* :feature:`164` Autorise les définitions de flux depuix un client FTP
* :feature:`159` Les transferts depuis un partenaire SFTP vers un partenaire
  SFTP sont maintenant possibles
* :bug:`155` Les modèles par défaut prennent en compte les sens de connexion
* :bug:`149` La durée des transferts pouvait être négative ou nulle (en cas
  d'erreur R66). Ceci est maintenant impossible
* :bug:`151` Dans les historiques de flux et de transfert, on ne pouvait pas
  filtrer par nom de fichier si le nom de fichier saisi n'est composé que de
  nombre

* :release:`0.12.2 <2018-11-21>`
* :bug:`-` Le détail des lignes d'historique ne se referme pas
* :bug:`-` Réactivation de la regénération des mots de passe des partenaires
* :bug:`-` Le rafraîchissement des historiques des transfert et des flux met
  maintenant à jour chaque transfert dans sa propre transaction

* :release:`0.12.1 <2018-07-06>`
* :bug:`-` Correction du bug qui empêchait les utilisateurs de changer leur mot
  de passe
* :bug:`-` Autorise l'administration à définir l'en-tête HTTP à utiliser pour
  communiquer au proxy l'hôte de destination de la requête
* :bug:`-` Fixes LDAP support

* :release:`0.12.0 <2018-05-14>`
* :feature:`-` Évolution des filewatchers : Le filewatcher peut être paramétré
  pour lancer des transferts synchrones ou asynchrones
* :feature:`-` Évolution des filewatchers : la regex de filtrage peut être
  paramétrée
* :feature:`-` Évolution des filewatchers : le filewatcher peut également
  surveiller les sous-dossiers du docssier cible (mode récursif)
* :feature:`-` Évolution des filewatchers : TLS peut être activé pour le
  premier transfert
* :feature:`-` Création d'un onglet de configutation des filewatchers dans le
  formulaire d'édition des flux
* :feature:`-` Support de proxy HTTP pour les sites (requêtes REST)

* :release:`0.11.4 <2018-03-26>`
* :bug:`-` Correction du modèle de flux par défaut
* :bug:`-` Correction de l'erreur causant une vitesse nulle pour les flux
* :bug:`-` Correction de l'affichage du formulaire d'ajout d'un modèle de flux
* :bug:`-` Affichage de la date de build réelle dans le "À propos"
* :bug:`-` Correction de bug d'affichage suite à l'édition d'un objet
* :bug:`-` Correction de l'erreur de calcul de la signature des requêtes REST à
  destination ds serveurs Waarp r66
* :bug:`-` La reprise de transfert entre une gateway SFTP et un serveur R66
  est maintenant possible
* :bug:`-` Correction d'une erreur 404 causée par une erreur SQL
* :bug:`-` Correction de traductions
* :bug:`-` Corrections du modèle de flux par défaut


* :release:`0.11.3 <2017-10-05>`
* :bug:`-` Correction de l'ajout de partenaires SFTP client
* :bug:`-` Correction des modèles de flux pour le SFTP
* :bug:`-` Correction de l'ordre d'envoi des packages de configuration

* :release:`0.11.2 <2017-10-03>`
* :bug:`-` Rétablit le fonctionnement de l'éditeur de modèles et de l'ajout de
  partenaires SFTP pur IE 11

* :release:`0.11.1 <2017-10-03>`
* :bug:`-` Les nouveaux serveurs R66 sont automatiquement intégrés au
  rafrachissement des historiques

* :release:`0.11.0 <2017-10-02>`
* :feature:`-` Prise en charge des sens de connexion entre les sites
* :feature:`-` Prise en charge de la configuration des filewatchers

* :release:`0.10.1 <2017-09-30>`
* :bug:`-` Les packages de configuration des gateways SFTP n'étaient pas
  générés

* :release:`0.10.0 <2017-09-28>`
* :feature:`-` Support des passerelles SFTP

* :feature:`-` Waarp Manager peut écouter en HTTPS

* :release:`0.9.3 <2017-04-26>`
* :bug:`-` La commande de lancement windows est mal formée
* :bug:`-` La valeur par défaut de R66Cmd est erronée dans la conf du package
  Windows
* :bug:`-` La conf du package windows a des fins de lignes Linux
* :bug:`-` Le script de lancement windows a des fins de ligne Linux
* :bug:`-` L'historique des transferts ne supporte pas les transferts à soi
* :bug:`-` Ajout d'indexes sur les tables d'historique pour accélérer le
  rafraichissement
* :bug:`-` Affichage erroné du nombre de page dans les écrans d'historique
* :bug:`-` Une migration de base de données est nécessaire pour la mise à
  jour vers la version 0.9.3. Le script SQL suivant doit être exécuté dans la
  base de données de Waarp Manager :

  .. code-block:: sql

      BEGIN;

          DROP INDEX IF EXISTS transfer_log_find_existing;
          CREATE INDEX transfer_log_find_existing ON transfer_log(
              filename,
              origin_hostid,
              destination_hostid,
              rulename,
              origin_transfer_id,
              destination_transfer_id
          );


          DROP INDEX IF EXISTS flow_log_find_existing;
          CREATE INDEX flow_log_find_existing ON flow_log (
              flowname, filename
          );

      COMMIT;


* :release:`0.9.2 <2017-03-07>`
* :bug:`-` Ajout de locale manquantes
* :bug:`-` Le mot de passe du cient Waarp R66 utilisé par Waarp Manager était
  chiffré deux fois dans les fichiers authent.xml générés.

* :release:`0.9.1 <2017-02-20>`
* :bug:`-` Le bouton pour démarrer le déploiement de la configuration est
  désactivé quand  un déploiement est en cours
* :bug:`-` Le déploiement de la configuration ne s'exécute plus si le script de
  lancement de Waarp R66 client n'est pas trouvé
* :bug:`-` Les erreurs de déploiement de la configuration sont plus visibles
* :bug:`-` Durant le déploiement de la configuration, l'envoi aux serveurs
  Waarp R66 s'arrête à la première erreur renontrée
* :bug:`-` Le mot de passe du client Waarp R66 utilisé par Waarp Manager n'est
  plus forcé par Waarp Manager. celui défini dans le partenaire est
  utilisé
* :bug:`-` Correction de l'acran des rapports qui n'était plus fonctionnel
* :bug:`-` Correction d'une erreur d'échappement des antislash en base de
  données
* :bug:`-` Les infobulles d'aide sont plus larges pour être plus lisibles
* :bug:`-` Correction de coquilles dans l'interface web

* :release:`0.9.0 <2016-12-08>`
* :feature:`-` Internationalisation de l'interface
* :feature:`-` Compatibilité Windows
* :feature:`-` Authentification LDAP
* :feature:`-` La table ref_instances est créée par défaut
* :feature:`-` Appel direct à Waarp manager sans passer par un script ("install-conf.sh")
* :feature:`-` Le chargement de la configuration par les serveurs R66 ne passe plus par un script
* :feature:`-` Les clefs d'activations ne tiennent plus compte des hostnames
* :bug:`-` Correction d'un buffer overflow sur les délais des tâches
* :feature:`-` Possibilité de créer et d'ajouter un utilisateur à votre partnenaire gateway depuis l'interface web.
  Un utilisateur système est crée lors de la création d'un nouveau partenaire.
  Pour les installations existantes et lors de la migration, manager utilisera l'utilisateur par defaut de la gateway pour effectuer la requête REST
  
